Bug 15467 - Setting innerHTML to blank string in application/xhtml+xml mode throws DOM Exception 7
: Setting innerHTML to blank string in application/xhtml+xml mode throws DOM Ex...
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: HTML DOM
: 523.x (Safari 3)
: All Mac OS X 10.4
: P2 Normal
Assigned To: Alexey Proskuryakov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 08:43 PDT by Christopher Rogers
Modified: 2007-10-27 01:27 PDT (History)
1 user (show)

See Also:


Attachments
Basic test (331 bytes, application/xhtml+xml)
2007-10-11 08:44 PDT, Christopher Rogers
no flags Details
proposed fix (3.19 KB, patch)
2007-10-26 11:45 PDT, Alexey Proskuryakov
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Rogers 2007-10-11 08:43:11 PDT
I believe the summary says everything. I have tested this on Mac OS X 10.4 and Windows with the nightly build. Interestingly enough setting the innerHTML of an element to ' ' works.

I came across this bug using Prototype 1.6.0 RC0, which sets innerHTML to a blank string before inserting a new DOM node.

FYI, DOM Exception 7 is NO_MODIFICATION_ALLOWED_ERR.
Comment 1 Christopher Rogers 2007-10-11 08:44:13 PDT
Created attachment 16630 [details]
Basic test
Comment 2 David Kilzer (:ddkilzer) 2007-10-13 01:30:31 PDT
Test case passes on Firefox 2.0.0.7 and Opera 9.22, but fails on a local debug build of WebKit r26376 with Safari 3 Public Beta v. 3.0.3 (522.12.1) on Mac OS X 10.4.10 (8R218).

Comment 3 Alexey Proskuryakov 2007-10-26 11:45:45 PDT
Created attachment 16887 [details]
proposed fix
Comment 4 Darin Adler 2007-10-26 11:56:06 PDT
Comment on attachment 16887 [details]
proposed fix

r=me
Comment 5 Alexey Proskuryakov 2007-10-27 01:27:51 PDT
Committed revision 27144.